# kikapay-python-sdk
No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)

This Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 1.5.2
- Package version:  1.5.2
- Build package: org.openapitools.codegen.languages.PythonClientCodegen

## Requirements.

Python >= 3.6

## Installation & Usage
### pip install

If the python package is hosted on a repository, you can install directly using:

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import openapi_client
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import openapi_client
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python

import time
import openapi_client
from pprint import pprint
from openapi_client.api import payments_api
from openapi_client.model.exact_recurring_payment import ExactRecurringPayment
from openapi_client.model.exact_recurring_payment201_response import ExactRecurringPayment201Response
from openapi_client.model.exact_recurring_payment400_response import ExactRecurringPayment400Response
from openapi_client.model.exact_recurring_payment500_response import ExactRecurringPayment500Response
from openapi_client.model.payment403_response import Payment403Response
from openapi_client.model.single_immediate_payment import SingleImmediatePayment
from openapi_client.model.single_immediate_payment_multi import SingleImmediatePaymentMulti
from openapi_client.model.single_payment201_response import SinglePayment201Response
from openapi_client.model.single_payment400_response import SinglePayment400Response
from openapi_client.model.single_payment500_response import SinglePayment500Response
# Defining the host is optional and defaults to https://api.kikapay.com
# See configuration.py for a list of all supported configuration parameters.
configuration = openapi_client.Configuration(
    host = "https://api.kikapay.com"
)

# The client must configure the authentication and authorization parameters
# in accordance with the API server security policy.
# Examples for each auth method are provided below, use the example that
# satisfies your auth use case.

# Configure Bearer authorization (JWT): bearerAuth
configuration = openapi_client.Configuration(
    access_token = 'YOUR_BEARER_TOKEN'
)


# Enter a context with an instance of the API client
with openapi_client.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = payments_api.PaymentsApi(api_client)
    exact_recurring_payment = ExactRecurringPayment(
        payment=PaymentNumberPayments(
            amount=0,
            schedule=ScheduleNumberPayments(
                start=ScheduleNumberPaymentsStart(
                    date="ISODate",
                    range=30,
                ),
                end=ScheduleNumberPaymentsEnd(
                    number_payments=12,
                ),
            ),
            frequency="enum",
        ),
        payment_conditions=PaymentConditions(
            expiry_date="ISODate",
        ),
        payment_details=PaymentDetails(
            reference="string",
            description="string",
        ),
        merchant=Merchant(
            customer=MerchantCustomer(
                reference_id="reference_id_example",
                name="name_example",
                surname="surname_example",
                email="aragorn@rangers.dunedain",
                contact_number="contact_number_example",
            ),
        ),
        redirect=Redirect(
            redirect_url="string",
            redirect_method="enum",
        ),
        qr_code=QrCode(
            url="True",
            binary="True",
        ),
    ) # ExactRecurringPayment | 

    try:
        # Create a link for an exact recurring payment
        api_response = api_instance.create_exact_recurring_payment(exact_recurring_payment)
        pprint(api_response)
    except openapi_client.ApiException as e:
        print("Exception when calling PaymentsApi->create_exact_recurring_payment: %s\n" % e)
```

## Documentation for API Endpoints

All URIs are relative to *https://api.kikapay.com*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*PaymentsApi* | [**create_exact_recurring_payment**](docs/PaymentsApi.md#create_exact_recurring_payment) | **POST** /v1/payments/recurring/exact | Create a link for an exact recurring payment
*PaymentsApi* | [**create_exact_single_payment**](docs/PaymentsApi.md#create_exact_single_payment) | **POST** /v1/payments/single/immediate/exact | Create a link for an exact single payment
*PaymentsApi* | [**create_single_payment_multi_use**](docs/PaymentsApi.md#create_single_payment_multi_use) | **POST** /v1/payments/single/immediate/exact/multi-use-link | Create a link for a multi-use exact single payment
*ReconciliationApi* | [**reconciliation_multi_use_link_payments**](docs/ReconciliationApi.md#reconciliation_multi_use_link_payments) | **GET** /v1/payments/reconciliation/:kikaReference/multi-use-link | Get multi-use single immediate payments
*ReconciliationApi* | [**reconciliation_payments**](docs/ReconciliationApi.md#reconciliation_payments) | **GET** /v1/payments/reconciliation/:kikaReference | Get information about a payment
*ReconciliationApi* | [**reconciliation_recurring_payment**](docs/ReconciliationApi.md#reconciliation_recurring_payment) | **POST** /v1/payments/recurring/exact/reconciliation | Get a list of recurring payments
*ReconciliationApi* | [**reconciliation_single_payment**](docs/ReconciliationApi.md#reconciliation_single_payment) | **POST** /v1/payments/single/immediate/exact/reconciliation | Get a list of single payments


## Documentation For Models

 - [ExactRecurringPayment](docs/ExactRecurringPayment.md)
 - [ExactRecurringPayment201Response](docs/ExactRecurringPayment201Response.md)
 - [ExactRecurringPayment400Response](docs/ExactRecurringPayment400Response.md)
 - [ExactRecurringPayment400ResponseErrors](docs/ExactRecurringPayment400ResponseErrors.md)
 - [ExactRecurringPayment500Response](docs/ExactRecurringPayment500Response.md)
 - [Merchant](docs/Merchant.md)
 - [MerchantCustomer](docs/MerchantCustomer.md)
 - [Payment403Response](docs/Payment403Response.md)
 - [Payment403ResponseErrors](docs/Payment403ResponseErrors.md)
 - [PaymentConditions](docs/PaymentConditions.md)
 - [PaymentConditionsSingleImmediatePaymentMulti](docs/PaymentConditionsSingleImmediatePaymentMulti.md)
 - [PaymentDetails](docs/PaymentDetails.md)
 - [PaymentNumberPayments](docs/PaymentNumberPayments.md)
 - [PaymentSingleExact](docs/PaymentSingleExact.md)
 - [QrCode](docs/QrCode.md)
 - [ReconciliationMultiUseLinkPayment200Response](docs/ReconciliationMultiUseLinkPayment200Response.md)
 - [ReconciliationMultiUseLinkPayment200ResponsePayment](docs/ReconciliationMultiUseLinkPayment200ResponsePayment.md)
 - [ReconciliationMultiUseLinkPayment200ResponsePaymentConditions](docs/ReconciliationMultiUseLinkPayment200ResponsePaymentConditions.md)
 - [ReconciliationMultiUseLinkPayment200ResponsePaymentDetails](docs/ReconciliationMultiUseLinkPayment200ResponsePaymentDetails.md)
 - [ReconciliationMultiUseLinkPayment403Response](docs/ReconciliationMultiUseLinkPayment403Response.md)
 - [ReconciliationMultiUseLinkPayment404Response](docs/ReconciliationMultiUseLinkPayment404Response.md)
 - [ReconciliationMultiUseLinkPayment500Response](docs/ReconciliationMultiUseLinkPayment500Response.md)
 - [ReconciliationPayment200Response](docs/ReconciliationPayment200Response.md)
 - [ReconciliationPayment200ResponseMerchant](docs/ReconciliationPayment200ResponseMerchant.md)
 - [ReconciliationPayment200ResponseMerchantCustomer](docs/ReconciliationPayment200ResponseMerchantCustomer.md)
 - [ReconciliationPayment200ResponsePayment](docs/ReconciliationPayment200ResponsePayment.md)
 - [ReconciliationPayment200ResponsePaymentDetails](docs/ReconciliationPayment200ResponsePaymentDetails.md)
 - [ReconciliationPayment400Response](docs/ReconciliationPayment400Response.md)
 - [ReconciliationPayment400ResponseErrors](docs/ReconciliationPayment400ResponseErrors.md)
 - [ReconciliationPayment403Response](docs/ReconciliationPayment403Response.md)
 - [ReconciliationPayment404Response](docs/ReconciliationPayment404Response.md)
 - [ReconciliationPayment404ResponseErrors](docs/ReconciliationPayment404ResponseErrors.md)
 - [ReconciliationPayment500Response](docs/ReconciliationPayment500Response.md)
 - [ReconciliationPayment500ResponseErrors](docs/ReconciliationPayment500ResponseErrors.md)
 - [ReconciliationPayments](docs/ReconciliationPayments.md)
 - [ReconciliationPayments200Response](docs/ReconciliationPayments200Response.md)
 - [ReconciliationPayments200ResponsePayment](docs/ReconciliationPayments200ResponsePayment.md)
 - [ReconciliationPayments200ResponsePayments](docs/ReconciliationPayments200ResponsePayments.md)
 - [ReconciliationPayments400Response](docs/ReconciliationPayments400Response.md)
 - [ReconciliationPayments400ResponseErrors](docs/ReconciliationPayments400ResponseErrors.md)
 - [ReconciliationPayments403Response](docs/ReconciliationPayments403Response.md)
 - [ReconciliationPayments404Response](docs/ReconciliationPayments404Response.md)
 - [ReconciliationPayments404ResponseErrors](docs/ReconciliationPayments404ResponseErrors.md)
 - [ReconciliationPayments500Response](docs/ReconciliationPayments500Response.md)
 - [ReconciliationPayments500ResponseErrors](docs/ReconciliationPayments500ResponseErrors.md)
 - [ReconciliationSinglePayments](docs/ReconciliationSinglePayments.md)
 - [Redirect](docs/Redirect.md)
 - [ScheduleNumberPayments](docs/ScheduleNumberPayments.md)
 - [ScheduleNumberPaymentsEnd](docs/ScheduleNumberPaymentsEnd.md)
 - [ScheduleNumberPaymentsStart](docs/ScheduleNumberPaymentsStart.md)
 - [SingleImmediatePayment](docs/SingleImmediatePayment.md)
 - [SingleImmediatePaymentMulti](docs/SingleImmediatePaymentMulti.md)
 - [SinglePayment201Response](docs/SinglePayment201Response.md)
 - [SinglePayment400Response](docs/SinglePayment400Response.md)
 - [SinglePayment400ResponseErrors](docs/SinglePayment400ResponseErrors.md)
 - [SinglePayment500Response](docs/SinglePayment500Response.md)
 - [SinglePayment500ResponseErrors](docs/SinglePayment500ResponseErrors.md)


## Documentation For Authorization


## bearerAuth

- **Type**: Bearer authentication (JWT)


## Author

info@kikapay.com


## Notes for Large OpenAPI documents
If the OpenAPI document is large, imports in openapi_client.apis and openapi_client.models may fail with a
RecursionError indicating the maximum recursion limit has been exceeded. In that case, there are a couple of solutions:

Solution 1:
Use specific imports for apis and models like:
- `from openapi_client.api.default_api import DefaultApi`
- `from openapi_client.model.pet import Pet`

Solution 1:
Before importing the package, adjust the maximum recursion limit as shown below:
```
import sys
sys.setrecursionlimit(1500)
import openapi_client
from openapi_client.apis import *
from openapi_client.models import *
```

